apidef.c File Reference
`#include <config.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <qb/qbutil.h>`
`#include <qb/qbloop.h>`
`#include <qb/qbipcs.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/totem/totempg.h>`
`#include <corosync/totem/totemip.h>`
`#include <corosync/totem/totem.h>`
`#include <corosync/logsys.h>`
`#include "util.h"`
`#include "timer.h"`
`#include "quorum.h"`
`#include "schedwrk.h"`
`#include "main.h"`
`#include "apidef.h"`
`#include "service.h"`
Include dependency graph for apidef.c:

Go to the source code of this file.

## Typedefs

typedef int(* | typedef_tpg_join) (void *, const struct corosync_tpg_group *, size_t)
typedef int(* | typedef_tpg_leave) (void *, const struct corosync_tpg_group *, size_t)
typedef int(* | typedef_tpg_groups_mcast_groups) (void *, int, const struct corosync_tpg_group *, size_t groups_cnt, const struct iovec *, unsigned int)
typedef int(* | typedef_tpg_groups_send_ok) (void *, const struct corosync_tpg_group *, size_t groups_cnt, struct iovec *, int)

## Functions

| LOGSYS_DECLARE_SUBSYS ("APIDEF")
struct corosync_api_v1 * | apidef_get (void)

## Typedef Documentation

## typedef_tpg_groups_mcast_groups

typedef int(* typedef_tpg_groups_mcast_groups) (void *, int, const struct corosync_tpg_group *, size_t groups_cnt, const struct iovec *, unsigned int)

Definition at line 71 of file apidef.c.

## typedef_tpg_groups_send_ok

typedef int(* typedef_tpg_groups_send_ok) (void *, const struct corosync_tpg_group *, size_t groups_cnt, struct iovec *, int)

Definition at line 78 of file apidef.c.

## typedef_tpg_join

typedef int(* typedef_tpg_join) (void *, const struct corosync_tpg_group *, size_t)

Definition at line 62 of file apidef.c.

## typedef_tpg_leave

typedef int(* typedef_tpg_leave) (void *, const struct corosync_tpg_group *, size_t)

Definition at line 67 of file apidef.c.

## Function Documentation

## apidef_get()

struct corosync_api_v1* apidef_get | ( | void |  | ) |

Definition at line 146 of file apidef.c.

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "APIDEF" |  | ) |